package cn.base.conf;


public class OracleDB extends NodeHome{
    private String url;
	private String name;
	private String password;
	private String sql;
	private String JJDB;
	private String CJDB;
	private String FKDB;
	
	public void fillField(){
		for(int i =0;i<this.getList().size();i++){
			String name =this.getList().get(i).getName();
			String value=this.getList().get(i).getValue();
			if(name.equalsIgnoreCase("url")==true)this.url = value;
			if(name.equalsIgnoreCase("name")==true)this.name = value;
			if(name.equalsIgnoreCase("password")==true)this.password = value;
			if(name.equalsIgnoreCase("sql")==true)this.sql = value;
			if(name.equalsIgnoreCase("JJDB")==true)this.JJDB = value;
			if(name.equalsIgnoreCase("CJDB")==true)this.CJDB = value;
			if(name.equalsIgnoreCase("FKDB")==true)this.FKDB = value;
		}
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getSql() {
		return sql;
	}

	public void setSql(String sql) {
		this.sql = sql;
	}

	public String getJJDB() {
		return JJDB;
	}

	public void setJJDB(String jJDB) {
		JJDB = jJDB;
	}

	public String getCJDB() {
		return CJDB;
	}

	public void setCJDB(String cJDB) {
		CJDB = cJDB;
	}

	public String getFKDB() {
		return FKDB;
	}

	public void setFKDB(String fKDB) {
		FKDB = fKDB;
	}
	
}
